require 'rails/generators'
require "rails/generators/active_record"

class MailableTemplateGenerator < ActiveRecord::Generators::Base
  source_root File.expand_path('../templates', __FILE__)

  # ActiveRecord::Generators::Base inherits from Rails::Generators::NamedBase which requires a NAME parameter for the
  # new table name. Our generator always uses 'mailable_template', so we just set a random name here.
  argument :name, type: :string, default: 'random_name'

  def copy_files
    migration_template "create_mailable_templates.rb", "db/migrate/create_mailable_templates.rb"
    template "mailable_template.rb", "app/models/mailable_template.rb"
  end
end
