require 'active_record'

#ActsAsMailable
module Monola
  module Acts
    module Mailable

      def self.included(base)
        base.extend ClassMethods
      end

      module ClassMethods
        def acts_as_mailable
          has_many :email_templates, as: :mailable, dependent: :destroy

          def self.find_email_templates_for(obj)
            mailable = self.base_class.name
            EmailTemplate.find_email_templates_for_mailable(mailable, obj.id)
          end

          def email_templates_ordered_by_submitted
            EmailTemplate.find_email_templates_for_mailable(self.class.name, id).order("created_at")
          end

          def add_email_template(email_template)
            email_templates << email_template
          end
        end
      end
    end
  end
end
ActiveRecord::Base.send(:include, Monola::Acts::Mailable)
